Name:       capi-appfw-preference
Summary:    App preference API
Version:    0.5.24
Release:    0
Group:      System/API
License:    Apache-2.0
Source0:    %{name}-%{version}.tar.gz
Source1001:     capi-appfw-preference.manifest
BuildRequires:  cmake
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(capi-appfw-app-common)
BuildRequires:  pkgconfig(capi-base-common)
BuildRequires:  pkgconfig(libtzplatform-config)

%description
An Application preference library in Tizen C API

%package devel
Summary:  An Application preference library in Tizen C API (Development)
Group:    System/API
Requires: %{name} = %{version}-%{release}

%description devel
An Application preference library in Tizen C API (Development) package.

%prep
%setup -q
cp %{SOURCE1001} .

%build
MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
%cmake . -DFULLVER=%{version} -DMAJORVER=${MAJORVER}
%__make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
%make_install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%manifest %{name}.manifest
%{_libdir}/libcapi-appfw-preference.so.*
%attr(0700,root,root) %{_bindir}/preference_tool
%attr(755,root,root) /opt/etc/dump.d/module.d/pref_dump.sh
%license LICENSE

%files devel
%manifest %{name}.manifest
%{_includedir}/appfw/app_preference.h
%{_includedir}/appfw/app_preference_internal.h
%{_includedir}/appfw/app_preference_log.h
%{_libdir}/pkgconfig/capi-appfw-preference.pc
%{_libdir}/libcapi-appfw-preference.so
